Summary: A GUI for several command-line debuggers.
Name: ddd
Version: 3.1.5
Release: 3
Copyright: GPL or BSD
Group: Development/Debuggers
Source0: ftp://ftp.ips.cs.tu-bs.de/pub/local/softech/ddd/src/ddd-%{version}.tar.gz
Source1: ftp://ftp.ips.cs.tu-bs.de/pub/local/softech/ddd/src/ddd-%{version}-pics.tar.gz
Source2: ddd.wmconfig
Patch0: ptrace.patch
URL: http://www.cs.tu-bs.de/softech/ddd/
BuildRoot: /var/tmp/ddd-root
Requires: lesstif-2.0-devel

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger.  DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs.  You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops.  DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python.  DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.

%prep
%setup -q -b 1
%patch0 -p1 -b .tim

%build
#automake
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--with-motif-includes=/usr/X11R6/LessTif/Motif2.0/include \
	--with-motif-libraries=/usr/X11R6/LessTif/Motif2.0/lib

#%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
make install prefix=$RPM_BUILD_ROOT/usr/X11R6
strip $RPM_BUILD_ROOT/usr/X11R6/bin/ddd
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
install -m 644 $RPM_SOURCE_DIR/ddd.wmconfig \
        $RPM_BUILD_ROOT/etc/X11/wmconfig/ddd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/ddd
/usr/X11R6/man/man1/ddd.1
/etc/X11/wmconfig/ddd
%doc doc/README doc/ddd.man.ps doc/ddd-paper.ps doc/sample.dddinit

%changelog
* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- reapplied patch for ptrace problems with sparc

* Thu Aug 19 1999 Dale Lovelace <dale@redhat.com>
- added ddd.wmconfig

* Thu Jul 1 1999 Tim Powers <timp@redhat.com>
- added the --with-motif-includes= and --with-motif-libraries= lines
  so that it would build
- rebuilt package for Powertools

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.1.5.

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated package

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.1.2

* Mon Oct 26 1998 Jeff Johnson <jbj@redhat.com>
- sparc ptrace wrapper patch.

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.0.
- new description/summary text.

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.99.1
- buildroot

* Wed Jan 28 1998 Otto Hammersmith <otto@redhat.com>
- updated to 2.2.3

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- updated to 2.2
